# Class CIM_DatabaseSegmentSettingData
extends CIM_ScopedSettingData

This class defines the attributes that affect the growth of a DatabaseSegment. The attributes are tied to the DatabaseSegment through an ElementSettingData association. This class can also be used to specify the default settings for all DatabaseSegment instances that are created within a CommonDatabase through an ElementSettingData association to the CommonDatabase. Processes that create new instances of DatabaseSegment and the associated setting data should check for a DatabaseSegmentSettingData instance that is associated with the CommonDatabase and should create a new instance of DatabaseSegmentSettingData that is specific to the DatabaseSegment only if the default settings need to be overridden or frozen for the specific DatabaseSegment instance.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_DatabaseSegmentSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class defines the attributes that affect the growth of a DatabaseSegment. The attributes are tied to the DatabaseSegment through an ElementSettingData association. This class can also be used to specify the default settings for all DatabaseSegment instances that are created within a CommonDatabase through an ElementSettingData association to the CommonDatabase. Processes that create new instances of DatabaseSegment and the associated setting data should check for a DatabaseSegmentSettingData instance that is associated with the CommonDatabase and should create a new instance of DatabaseSegmentSettingData that is specific to the DatabaseSegment only if the default settings need to be overridden or frozen for the specific DatabaseSegment instance.

UMLPackagePath | string | CIM::Database::Storage
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InitialExtentSize | uint64 |
Description | string | The size, in bytes, of the first extent to be allocated when a database segment is created.
PUnit | string | byte
Units | string | Bytes
Write | boolean | true
MaximumExtents | uint64 |
Description | string | The upper limit on the number of extents that can be allocated for the segment.
Write | boolean | true
MinimumExtents | uint64 |
Description | string | The total number of extents to be allocated when the database segment is created. This setting allows for a large initial segment allocation at creation time, even if contiguous space is not available.
Write | boolean | true
NextExtentSize | uint64 |
Description | string | The size, in bytes, to be allocated for the next incremental extent for the segment. A NextExtentSize of 0 indicates that the size of incremental extents will be determined based on the value of PercentIncrease.
MinValue | sint64 | 0
ModelCorrespondence | string | CIM_DatabaseSegmentSettingData.PercentIncrease
PUnit | string | byte
Units | string | Bytes
Write | boolean | true
NumberOfFreeLists | uint32 |

Description

string

A freelist is a list of the free blocks that are associated with a database segment. The freelist is used to determine which segments are eligible for accepting data when a new insert or update request is processed. The NumberOfFreeLists setting identifies the number of freelists that are defined for the database segment. This value is typically set to the expected number of concurrent inserts for the segment.

Write | boolean | true
PercentIncrease | uint16 |
Description | string | The percentage by which the next incremental extent will grow over the previously allocated size of all extents for the segment. A PercentIncrease of 0 indicates that all incremental extents will be the same size, as specified by NextExtentSize. This value is ignored and should be set to 0 if NextExtentSize has a value other than 0.
MinValue | sint64 | 0
ModelCorrespondence | string | CIM_DatabaseSegmentSettingData.NextExtentSize
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods